docs
Get startedTroubleshootingPaymentsWebhooksAgent paymentsSwop MCPOviIdentity (swop.id)SwivyRPC (preview)API reference
API reference

Gas sponsorship

Current Swivy API operations from the deployed OpenAPI snapshot.

Testnet preview

Staging uses software custody. Use your environment’s API base URL and test assets only.

1 operations from the November 1, 2026 deployed contract. Full OpenAPI schema · Live interactive reference.

Address to use as the fee payer of sponsored Solana transactions

GET/v1/runtime/sponsorship/fee-payer

Only when the environment's sponsorship.solanaMode is fee_payer. The sponsor co-signs after checking that it is used only as fee payer (and, within limits, as a token-account payer).

Auth: x-swivy-app-id + x-swivy-publishable-key or x-swivy-app-id + x-swivy-secret-key

ParameterLocationRequiredDescription
networkqueryNoNetwork key, e.g. solana-devnet

Responses: 200 Fee payer · 404 Fee-payer mode not enabled

On this page